﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Distortion Tests /ESA
DATE:                  2016-11-21 10:58:27
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       312
CONFIGURATION:         Agilent ESA
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         SINE WAVE DISTORTION
  1.002  RSLT         =
  1.003  HEAD         -2 {[V @Freq] Fundamental}
  1.004  MATH         Fund = BASE(@Freq)
  1.005  MATH         L[1] = Fund / 2
  1.006  MATH         L[2] = Fund * 2
  1.007  MATH         L[3] = Fund * 3
  1.008  MATH         L[4] = Fund * 4
  1.009  MATH         L[5] = Fund * 5

  1.010  IF           ZCMPI(@ModelNum, "MODEL 39A")
  1.011  MATH         L[6] = 1
  1.012  ELSEIF       ZCMPI(@ModelNum, "MODEL 195")
  1.013  MATH         L[6] = 1
  1.014  ELSE
  1.015  MATH         L[6] = 0
  1.016  ENDIF

  1.017  IF           Fund <= 300E+3
  1.018  MATH         Max = -50

  1.019  ELSEIF       Fund <= 1E+6

  1.020  IF           L[6]
  1.021  MATH         Max = -50
  1.022  ELSE
  1.023  MATH         Max = -35
  1.024  ENDIF

  1.025  ELSEIF       Fund <= 10E+6
  1.026  MATH         Max = -35
  1.027  ELSE
  1.028  MATH         Max = -30
  1.029  ENDIF

  1.030  VSET         CPT = [V Max] dBc
  1.031  MATH         @DUT_Cmd = @DUT_Setup & "WAVFREQ " & Fund & ";"
  1.032  MATH         @DUT_Cmd = @DUT_Cmd & "OUTPUT ON"
  1.033  JMPL         SINE_WAVE_DISTORTION

  1.034  LABEL        REPEAT
  1.035  TARGET       -p
  1.036  MATH         @First = 1

  1.037  LABEL        SINE_WAVE_DISTORTION

  1.038  IF           @First
  1.039  MATH         @Cmd = "*RST"
  1.040  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  1.041  JMPL         END                          @Abort

  1.042  IF           NOT(ISVAR("@Chan"))
  1.043  DISP         Connect DUT MAIN OUT to ESA INPUT 50 Ohm using a
  1.043  DISP         BNC cable, and a BNC (f) to Type N (m) adapter, and
  1.043  DISP         Type N 30 dB attenuator.
  1.043  DISP
  1.043  DISP         CAUTION: Failure to use a 30 dB attenuator at
  1.043  DISP         [32]        the ESA RF INPUT may damage the input
  1.043  DISP         [32]        mixer.
  1.044  ELSEIF       @Chan == 1
  1.045  DISP         Connect DUT CHANNEL 1 MAIN OUT to ESA INPUT 50 Ohm
  1.045  DISP         using a BNC cable, and a BNC (f) to Type-N (m) adapter,
  1.045  DISP         and a Type-N 30 dB attenuator.
  1.045  DISP
  1.045  DISP         CAUTION: Failure to use a 30 dB attenuator at
  1.045  DISP         [32]        the ESA RF INPUT may damage the input
  1.045  DISP         [32]        mixer.
  1.046  ELSE
  1.047  DISP         Move the DUT connection to CHANNEL [V @Chan] MAIN OUT.
  1.048  ENDIF

  1.049  DISP         The next routine operator intervention occurs in
  1.049  DISP         approximately 3 minutes.
  1.050  MATH         @First = 0
  1.051  ENDIF

  1.052  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  1.052  ESA          CenterFreq = [V Fund] Hz; FreqSpan = 400 kHz
  1.052  ESA          +Ampl = -6 dBm; RefLevel = 0 dBm; PeakSearch; Setup
  1.053  MATH         @Cmd = @DUT_Cmd
  1.054  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  1.055  JMPL         END                          @Abort
  1.056  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  1.056  ESA          CenterFreq = [V Fund] Hz; FreqSpan = 400 kHz
  1.056  ESA          +Ampl = -6 dBm; RefLevel = 0 dBm; PeakSearch; Read
  1.057  MATH         L[10] = REFACC()

  1.058  IF           L[10] < 0
  1.059  DISP         Error:  REFACC() returned [L1].
  1.059  DISP
  1.059  DISP         Setting system accuracy to zero...
  1.060  MATH         L[10] = 0
  1.061  ELSE
  1.062  MATH         L[10] = L[10] / DBMTOW(MEM) * 100
  1.063  ENDIF

  1.064  MATH         RefLvl = MEM
# Check 1st sub-harmonic.
  1.065  TSET         TDESC = ½ Harmonic; MEAS = SA
  1.066  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  1.066  ESA          CenterFreq = [L1] Hz; FreqSpan = 400 kHz
  1.066  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Setup
  1.067  TARGET       -m
  1.068  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  1.068  ESA          CenterFreq = [L1] Hz; FreqSpan = 400 kHz
  1.068  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Read
  1.069  MATH         L[20] = REFACC()

  1.070  IF           L[20] < 0
  1.071  DISP         Error:  REFACC() returned [L2].
  1.071  DISP
  1.071  DISP         Setting system accuracy to zero...
  1.072  MATH         L[20] = 0; L[30] = 0

  1.073  ELSE
  1.074  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  1.075  MATH         L[30] = PCTTODBW_D(RSS2(L[10], L[20]))
  1.076  ENDIF

  1.077  MATH         MEM = MEM - RefLvl
  1.078  ACC          dBc            L30U
  1.079  MATH         MEM1 = Max
  1.080  MEMC         dBc            -0.0U +100.0U

  2.001  JMPL         CHECK_2nd_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  2.002  TARGET       -p
  2.003  JMPL         REPEAT

  2.004  LABEL        CHECK_2nd_HARMONIC
  2.005  TSET         TDESC = 2nd Harmonic; MEAS = SA
  2.006  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  2.006  ESA          CenterFreq = [L2] Hz; FreqSpan = 400 kHz
  2.006  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Setup
  2.007  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  2.008  JMPL         END                          @Abort
  2.009  TARGET       -m
  2.010  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  2.010  ESA          CenterFreq = [L2] Hz; FreqSpan = 400 kHz
  2.010  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Read
  2.011  MATH         L[20] = REFACC()

  2.012  IF           L[20] < 0
  2.013  DISP         Error:  REFACC() returned [L2].
  2.013  DISP
  2.013  DISP         Setting system accuracy to zero...
  2.014  MATH         L[20] = 0; L[30] = 0

  2.015  ELSE
  2.016  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  2.017  MATH         L[30] = PCTTODBW_D(RSS2(L[10], L[20]))
  2.018  ENDIF

  2.019  MATH         MEM = MEM - RefLvl
  2.020  ACC          dBc            L30U
  2.021  MATH         MEM1 = Max
  2.022  MEMC         dBc            -0.0U +100.0U

  3.001  JMPL         CHECK_3rd_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  3.002  TARGET       -p
  3.003  JMPL         SINE_WAVE_DISTORTION

  3.004  LABEL        CHECK_3rd_HARMONIC
  3.005  TSET         TDESC = 3rd Harmonic; MEAS = SA
  3.006  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  3.006  ESA          CenterFreq = [L3] Hz; FreqSpan = 400 kHz
  3.006  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Setup
  3.007  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  3.008  JMPL         END                          @Abort
  3.009  TARGET       -m
  3.010  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  3.010  ESA          CenterFreq = [L3] Hz; FreqSpan = 400 kHz
  3.010  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Read
  3.011  MATH         L[20] = REFACC()

  3.012  IF           L[20] < 0
  3.013  DISP         Error:  REFACC() returned [L2].
  3.013  DISP
  3.013  DISP         Setting system accuracy to zero...
  3.014  MATH         L[20] = 0; L[30] = 0

  3.015  ELSE
  3.016  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  3.017  MATH         L[30] = PCTTODBW_D(RSS2(L[10], L[20]))
  3.018  ENDIF

  3.019  MATH         MEM = MEM - RefLvl
  3.020  ACC          dBc            L30U
  3.021  MATH         MEM1 = Max
  3.022  MEMC         dBc            -0.0U +100.0U

  4.001  JMPL         CHECK_4th_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  4.002  TARGET       -p
  4.003  JMPL         REPEAT

  4.004  LABEL        CHECK_4th_HARMONIC
  4.005  TSET         TDESC = 4th Harmonic; MEAS = SA
  4.006  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  4.006  ESA          CenterFreq = [L4] Hz; FreqSpan = 400 kHz
  4.006  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Setup
  4.007  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  4.008  JMPL         END                          @Abort
  4.009  TARGET       -m
  4.010  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  4.010  ESA          CenterFreq = [L4] Hz; FreqSpan = 400 kHz
  4.010  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Read
  4.011  MATH         L[20] = REFACC()

  4.012  IF           L[20] < 0
  4.013  DISP         Error:  REFACC() returned [L2].
  4.013  DISP
  4.013  DISP         Setting system accuracy to zero...
  4.014  MATH         L[20] = 0; L[30] = 0

  4.015  ELSE
  4.016  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  4.017  MATH         L[30] = PCTTODBW_D(RSS2(L[10], L[20]))
  4.018  ENDIF

  4.019  MATH         MEM = MEM - RefLvl
  4.020  ACC          dBc            L30U
  4.021  MATH         MEM1 = Max
  4.022  MEMC         dBc            -0.0U +100.0U

  5.001  JMPL         CHECK_5th_HARMONIC

# Force a new reference level reading for Post Test Repeat and Cancel.
  5.002  TARGET       -p
  5.003  JMPL         REPEAT

  5.004  LABEL        CHECK_5th_HARMONIC
  5.005  TSET         TDESC = 5th Harmonic; MEAS = SA
  5.006  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  5.006  ESA          CenterFreq = [L5] Hz; FreqSpan = 400 kHz
  5.006  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Setup
  5.007  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  5.008  JMPL         END                          @Abort
  5.009  TARGET       -m
  5.010  ESA          AmplitudeScale = 10 dB/div; InputAttenuation = 10 dB
  5.010  ESA          CenterFreq = [L5] Hz; FreqSpan = 400 kHz
  5.010  ESA          +Ampl = [V Max] dBm; RefLevel = 0 dBm; PeakSearch; Read
  5.011  MATH         L[20] = REFACC()

  5.012  IF           L[20] < 0
  5.013  DISP         Error:  REFACC() returned [L2].
  5.013  DISP
  5.013  DISP         Setting system accuracy to zero...
  5.014  MATH         L[20] = 0; L[30] = 0

  5.015  ELSE
  5.016  MATH         L[20] = L[20] / DBMTOW(MEM) * 100
  5.017  MATH         L[30] = PCTTODBW_D(RSS2(L[10], L[20]))
  5.018  ENDIF

  5.019  MATH         MEM = MEM - RefLvl
  5.020  ACC          dBc            L30U
  5.021  MATH         MEM1 = Max
  5.022  MEMC         dBc            -0.0U +100.0U

  6.001  LABEL        END
  6.002  VSET         CPT = *
  6.003  END
